#!/bin/bash
cd /home/wareck
if [ -r bitcoin-sv ]
then
cd bitcoin-sv
git pull
else
git clone https://github.com/bitcoin-sv/bitcoin-sv.git
cd bitcoin-sv
fi
sudo apt-get update
sudo apt-get install build-essential libtool autotools-dev automake pkg-config libssl-dev libevent-dev bsdmainutils -y
sudo apt-get install libboost-all-dev libdb-dev libdb++-dev libminiupnpc-dev libgoogle-perftools-dev libzmq3-dev -y
cd depends
make download
make
cd ..
./autogen.sh
CONFIG_SITE=/home/wareck/bitcoin-sv/depends/x86_64-pc-linux-gnu/share/config.site ./configure --prefix=/home/wareck/bitcoinsv_binary/
make
make install
